## org.apache.batik.util.gui
Class UserStyleDialog.Panel.FileCheckBoxChangeListener

    java.lang.Object
      org.apache.batik.util.gui.UserStyleDialog.Panel.FileCheckBoxChangeListener

All Implemented Interfaces:
  javax.swing.event.ChangeListener, java.util.EventListener

Enclosing class:
  UserStyleDialog.Panel

protected class UserStyleDialog.Panel.FileCheckBoxChangeListener
extends java.lang.Object
implements javax.swing.event.ChangeListener

To listen to the file checkbox

Constructor Summary
`protected` `UserStyleDialog.Panel.FileCheckBoxChangeListener()`

Method Summary
`void` `stateChanged(javax.swing.event.ChangeEvent e)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UserStyleDialog.Panel.FileCheckBoxChangeListener

    protected UserStyleDialog.Panel.FileCheckBoxChangeListener()

Method Detail

### stateChanged

    public void stateChanged(javax.swing.event.ChangeEvent e)

  Specified by:
    `stateChanged` in interface `javax.swing.event.ChangeListener`

Copyright © 2004 Apache Software Foundation. All Rights Reserved.